FILE HANDLE dataASC /RECFORM=FIXED /LRECL=47 /NAME="C:\to_server\website\qpsmr-learning.com\Files_for_video21\data Exported SPSS.asc".
* The name in the previous line must include the full path to the data file, please amend as necessary.
TITLE "My project".
DATA LIST FILE=dataASC FIXED /
Serial 1-5 (F)
IWAVE 6 (F)
GENDER 7 (F)
REGION 8 (F)
Q3 9-10 (F)
Q5 11-12 (F)
Q6 13-15 (F)
Q7A 16-18 (F)
VQ7A 19 (F)
Q7B 20-21 (F)
Q8 22-23 (F)
Q9_1 24 (F)
Q9_2 25 (F)
Q9_3 26 (F)
Q9_4 27 (F)
Q9_5 28 (F)
Q9_6 29 (F)
Q10 30-31 (F)
Q11 32 (F)
Q12A 33 (F)
Q12B 34 (F)
Q12C 35 (F)
Q12D 36 (F)
Q12E 37 (F)
Q12F 38 (F)
Q12G 39 (F)
Q13 40 (F)
Q14 41 (F)
Q15 42 (F)
BANNER_1 43 (F)
BANNER_2 44 (F)
BANNER_3 45 (F)
BANNER_4 46 (F)
BANNER_5 47 (F)
.
EXECUTE.

FORMATS
IWAVE (F1)
GENDER (F1)
REGION (F1)
Q3 (F2)
Q5 (F2)
Q6 (F3)
Q7A (F3)
VQ7A (F1)
Q7B (F2)
Q8 (F2)
Q9_1 (F1)
Q9_2 (F1)
Q9_3 (F1)
Q9_4 (F1)
Q9_5 (F1)
Q9_6 (F1)
Q10 (F2)
Q11 (F1)
Q12A (F1)
Q12B (F1)
Q12C (F1)
Q12D (F1)
Q12E (F1)
Q12F (F1)
Q12G (F1)
Q13 (F1)
Q14 (F1)
Q15 (F1)
BANNER_1 (F1)
BANNER_2 (F1)
BANNER_3 (F1)
BANNER_4 (F1)
BANNER_5 (F1)
.
EXECUTE.

VARIABLE LABELS
Serial "Serial number"
IWAVE "Wave ID"
GENDER "Gender"
REGION "Region"
Q3 "Q3. Business location"
Q5 "Q5. Industry Type"
Q6 "Q6. Number of employees at business"
Q7A "Q7. Age of company"
VQ7A "Q7a in ranges"
Q7B "Q7. Age of employee"
Q8 "Q8. Last business Travel destination"
Q9_1 "Q9. Main factors influencing method of travel - Cheap price"
Q9_2 "Q9. Main factors influencing method of travel - Reliable service"
Q9_3 "Q9. Main factors influencing method of travel - Punctuality"
Q9_4 "Q9. Main factors influencing method of travel - High standards"
Q9_5 "Q9. Main factors influencing method of travel - Quickest way"
Q9_6 "Q9. Main factors influencing method of travel - Not given"
Q10 "Q10. Time taken to reach destination"
Q11 "Q11. Ease of journey"
Q12A "Q12. Factors determine methods used to travel : Speed of booking"
Q12B "Q12. Factors determine methods used to travel : Ease of booking"
Q12C "Q12. Factors determine methods used to travel : Speed of journey"
Q12D "Q12. Factors determine methods used to travel : Journey comforts"
Q12E "Q12. Factors determine methods used to travel : Cost of Journey"
Q12F "Q12. Factors determine methods used to travel : Destination"
Q12G "Q12. Factors determine methods used to travel : Weather"
Q13 "Q13. Whether experienced any delays"
Q14 "Q14. Duration of delays"
Q15 "Q15. Would you use this means of travel again?"
BANNER_1 "Banner - Male"
BANNER_2 "Banner - Female"
BANNER_3 "Banner - North"
BANNER_4 "Banner - Central"
BANNER_5 "Banner - South"
.
EXECUTE.

VALUE LABELS
/GENDER
1 "Male"
2 "Female"
/REGION
1 "North"
2 "Central"
3 "South"
/Q3
1 "UK"
2 "USA"
3 "France"
4 "Germany"
5 "Italy"
6 "Spain"
7 "Other Europe"
8 "Thailand"
9 "Malaysia"
10 "China"
11 "Other Asia"
12 "Australia"
13 "Hong Kong"
14 "Not given"
/Q5
1 "Computing/IT"
2 "Law/legal"
3 "Market research"
4 "Retail"
5 "Marketing/Advertising"
6 "Accountancy"
7 "Administration"
8 "Healthcare"
9 "Building/Architecture"
10 "Education"
11 "Engineering"
12 "Not given"
/VQ7A
1 "0..20"
2 "21..30"
3 "31..40"
4 "41..75"
5 ">75"
6 "Not stated"
/Q8
1 "UK"
2 "France"
3 "Germany"
4 "Belgium"
5 "Italy"
6 "Spain"
7 "Portugal"
8 "Scandinavia"
9 "Eastern Europe"
10 "Other Europe"
11 "USA"
12 "Canada"
13 "Central America"
14 "Brazil"
15 "Argentina"
16 "Other South America"
17 "Middle East"
18 "Thailand"
19 "Singapore"
20 "Malaysia"
21 "Japan"
22 "China"
23 "Indonesia"
24 "India"
25 "Other Asia"
26 "South Africa"
27 "Other Africa"
28 "Australia"
29 "New Zealand"
30 "Other"
31 "Not given"
/Q9_1
1 "Cheap price"
/Q9_2
1 "Reliable service"
/Q9_3
1 "Punctuality"
/Q9_4
1 "High standards"
/Q9_5
1 "Quickest way"
/Q9_6
1 "Not given"
/Q11
1 "A very relaxing journey (1)"
2 "A relaxed journey (2)"
3 "Neither relaxing nor stressful (3)"
4 "Quite stressful (4)"
5 "Very stressful (5)"
6 "Not given"
/Q12A
1 "Very important (5)"
2 "Quite important (4)"
3 "Neither important or unimportant (3)"
4 "Quite unimportant (2)"
5 "Very unimportant (1)"
6 "Not given"
/Q12B
1 "Very important (5)"
2 "Quite important (4)"
3 "Neither important or unimportant (3)"
4 "Quite unimportant (2)"
5 "Very unimportant (1)"
6 "Not given"
/Q12C
1 "Very important (5)"
2 "Quite important (4)"
3 "Neither important or unimportant (3)"
4 "Quite unimportant (2)"
5 "Very unimportant (1)"
6 "Not given"
/Q12D
1 "Very important (5)"
2 "Quite important (4)"
3 "Neither important or unimportant (3)"
4 "Quite unimportant (2)"
5 "Very unimportant (1)"
6 "Not given"
/Q12E
1 "Very important (5)"
2 "Quite important (4)"
3 "Neither important or unimportant (3)"
4 "Quite unimportant (2)"
5 "Very unimportant (1)"
6 "Not given"
/Q12F
1 "Very important (5)"
2 "Quite important (4)"
3 "Neither important or unimportant (3)"
4 "Quite unimportant (2)"
5 "Very unimportant (1)"
6 "Not given"
/Q12G
1 "Very important (5)"
2 "Quite important (4)"
3 "Neither important or unimportant (3)"
4 "Quite unimportant (2)"
5 "Very unimportant (1)"
6 "Not given"
/Q13
1 "Yes"
2 "No"
3 "Not given"
/Q14
1 "Up to half and hour"
2 "An hour"
3 "Two hours"
4 "Three hours"
5 "Four hours"
6 "Five hours"
7 "Six hours"
8 "Over six hours"
9 "Not given"
/Q15
1 "Yes"
2 "No"
3 "Not given"
/BANNER_1
1 "Male"
/BANNER_2
1 "Female"
/BANNER_3
1 "North"
/BANNER_4
1 "Central"
/BANNER_5
1 "South"
.
EXECUTE.

RECODE Q12A (1=5.0) (2=4.0) (3=3.0) (4=2.0) (5=1.0)(ELSE=SYSMIS) INTO Q12ASCORE.
RECODE Q12B (1=5.0) (2=4.0) (3=3.0) (4=2.0) (5=1.0)(ELSE=SYSMIS) INTO Q12BSCORE.
RECODE Q12C (1=5.0) (2=4.0) (3=3.0) (4=2.0) (5=1.0)(ELSE=SYSMIS) INTO Q12CSCORE.
RECODE Q12D (1=5.0) (2=4.0) (3=3.0) (4=2.0) (5=1.0)(ELSE=SYSMIS) INTO Q12DSCORE.
RECODE Q12E (1=5.0) (2=4.0) (3=3.0) (4=2.0) (5=1.0)(ELSE=SYSMIS) INTO Q12ESCORE.
RECODE Q12F (1=5.0) (2=4.0) (3=3.0) (4=2.0) (5=1.0)(ELSE=SYSMIS) INTO Q12FSCORE.
RECODE Q12G (1=5.0) (2=4.0) (3=3.0) (4=2.0) (5=1.0)(ELSE=SYSMIS) INTO Q12GSCORE.
EXECUTE.

MRSETS
/MDGROUP NAME=$Q9
LABEL="Q9. Main factors influencing method of travel"
VARIABLES=Q9_1 TO Q9_6
CATEGORYLABELS=COUNTEDVALUES
VALUE=1
/MDGROUP NAME=$BANNER
LABEL="Banner"
VARIABLES=BANNER_1 TO BANNER_5
CATEGORYLABELS=COUNTEDVALUES
VALUE=1
/DISPLAY NAME=ALL.

